# Class AccessibilityNodeSnapshot

java.lang.Object
com.codename1.ui.accessibility.AccessibilityNodeSnapshot

public final class AccessibilityNodeSnapshot extends Object
Immutable resolved node exported to platform accessibility adapters and test tooling.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AccessibilityAction`
  `getAction(String id)`
  `List<AccessibilityAction>`
  `getActions()`
  `Rectangle`
  `getBounds()`
  `Boolean`
  `getBusy()`
  `AccessibilityCheckedState`
  `getChecked()`
  `List<Long>`
  `getChildIds()`
  `AccessibilityCollectionInfo`
  `getCollectionInfo()`
  `AccessibilityCollectionItemInfo`
  `getCollectionItemInfo()`
  `Component`
  `getComponent()`
  `Boolean`
  `getCurrent()`
  `String`
  `getDescription()`
  `Boolean`
  `getEnabled()`
  `Boolean`
  `getExpanded()`
  `int`
  `getHeadingLevel()`
  `String`
  `getHint()`
  `long`
  `getId()`
  `String`
  `getIdentifier()`
  `Boolean`
  `getInvalid()`
  `String`
  `getLabel()`
  `AccessibilityLiveRegion`
  `getLiveRegion()`
  `Boolean`
  `getMultiline()`
  `Boolean`
  `getObscured()`
  `String`
  `getPaneTitle()`
  `long`
  `getParentId()`
  `Boolean`
  `getPressed()`
  `AccessibilityRange`
  `getRange()`
  `Boolean`
  `getReadOnly()`
  `Boolean`
  `getRequired()`
  `AccessibilityRole`
  `getRole()`
  `String`
  `getRoleDescription()`
  `Boolean`
  `getSelected()`
  `String`
  `getValidationError()`
  `String`
  `getValue()`
  `String`
  `getVirtualKey()`
  `boolean`
  `isFocusable()`
  `boolean`
  `isFocused()`
  `boolean`
  `isModal()`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getId

    public long getId()

  - ### getParentId

    public long getParentId()

  - ### getComponent

    public Component getComponent()

  - ### getVirtualKey

    public String getVirtualKey()

  - ### getIdentifier

    public String getIdentifier()

  - ### getLabel

    public String getLabel()

  - ### getHint

    public String getHint()

  - ### getDescription

    public String getDescription()

  - ### getValue

    public String getValue()

  - ### getValidationError

    public String getValidationError()

  - ### getPaneTitle

    public String getPaneTitle()

  - ### getRoleDescription

    public String getRoleDescription()

  - ### getRole

    public AccessibilityRole getRole()

  - ### getChecked

    public AccessibilityCheckedState getChecked()

  - ### getLiveRegion

    public AccessibilityLiveRegion getLiveRegion()

  - ### getRange

    public AccessibilityRange getRange()

  - ### getCollectionInfo

    public AccessibilityCollectionInfo getCollectionInfo()

  - ### getCollectionItemInfo

    public AccessibilityCollectionItemInfo getCollectionItemInfo()

  - ### getBounds

    public Rectangle getBounds()

  - ### getSelected

    public Boolean getSelected()

  - ### getExpanded

    public Boolean getExpanded()

  - ### getEnabled

    public Boolean getEnabled()

  - ### getInvalid

    public Boolean getInvalid()

  - ### getBusy

    public Boolean getBusy()

  - ### getReadOnly

    public Boolean getReadOnly()

  - ### getRequired

    public Boolean getRequired()

  - ### getMultiline

    public Boolean getMultiline()

  - ### getObscured

    public Boolean getObscured()

  - ### getPressed

    public Boolean getPressed()

  - ### getCurrent

    public Boolean getCurrent()

  - ### isModal

    public boolean isModal()

  - ### isFocusable

    public boolean isFocusable()

  - ### isFocused

    public boolean isFocused()

  - ### getHeadingLevel

    public int getHeadingLevel()

  - ### getChildIds

    public List<Long> getChildIds()

  - ### getActions

    public List<AccessibilityAction> getActions()

  - ### getAction

    public AccessibilityAction getAction(String id)